Imports C1.C1Pdf
Imports C1.Win.C1Document
Imports C1.Win.C1Document.Util
Imports System.Drawing
Imports System.Globalization
Imports System.IO
Imports System.Runtime.Serialization
Imports System.Windows.Forms
Imports System.Xml.Serialization

Public Partial Class Form1
	Inherits Form
	Public Sub New()
		InitializeComponent()
	End Sub

	Private Sub Form1_Load(sender As Object, e As EventArgs)

		c1FlexReport1.Load("..\..\About FlexReport.flxr", "About FlexReport")
		c1FlexReport2.Load("..\..\About PDF.flxr", "About PDF")
		c1FlexViewer1.DocumentSource = c1FlexReport1
		c1FlexViewer2.DocumentSource = c1FlexReport2
	End Sub

	Private Sub button1_Click(sender As Object, e As EventArgs)

		'Merge multiple report using C1PdfDocument
		Dim _pdfDoc As New C1PdfDocument()
		_pdfDoc.AddC1FlexReport(c1FlexReport1)
		_pdfDoc.AddC1FlexReport(c1FlexReport2)
		_pdfDoc.RenderPdf(True)
		_pdfDoc.Save("MergeReport.pdf")
		'Display in viewer
		Dim c1PdfDocumentSource As New C1PdfDocumentSource()
		c1PdfDocumentSource.LoadFromFile("MergeReport.pdf")
		c1FlexViewer3.DocumentSource = c1PdfDocumentSource
	End Sub
End Class
